#include <ArduinoIoTCloud.h>
#include <Arduino_ConnectionHandler.h>

const char DEVICE_LOGIN_NAME[]  = "secret";

const char SSID[]               = "secret";    // Network SSID (name)
const char PASS[]               = "secret";    // Network password (use for WPA, or use as key for WEP)
const char DEVICE_KEY[]  =      "secret";    // Secret device password


String log_access;
bool open_gate;

void onOpenGateChange();

void initProperties(){

  ArduinoCloud.setBoardId(DEVICE_LOGIN_NAME);
  ArduinoCloud.setSecretDeviceKey(DEVICE_KEY);
  ArduinoCloud.addProperty(log_access, READ, 2 * SECONDS, NULL);
  ArduinoCloud.addProperty(open_gate, READWRITE, ON_CHANGE, onOpenGateChange);
}

WiFiConnectionHandler ArduinoIoTPreferredConnection(SSID, PASS);
